#version 330 core
uniform bool selected;
uniform sampler2D texture0;

in vec2 fTexCoord;
out vec4 color;

void main(void) {
	vec4 col = selected ? vec4(1,0,0,1) : vec4(1);
	//color = vec4(1.0, 1.0, 1.0, 1.0);
	color = texture(texture0, fTexCoord.st) * col;
	if (color.rgb == vec3(0.0, 0.0, 0.0)) {
		discard;
	}
}